%define startupdir   %{_datadir}/emacs/site-lisp/site-start.d/
%define startupfile  %{startupdir}/auctex-init.el

Summary: 	Enhanced TeX modes for Emacsen
Name: 		emacs-auctex
Version: 	11.55
Release: 	4%{?dist}
License: 	GPL
Group: 		Applications/Editors
URL: 		http://www.gnu.org/software/auctex/
Source0:        ftp://ftp.gnu.org/pub/gnu/auctex/auctex-%{version}.tar.gz
BuildArch:      noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes:      auctex
Conflicts:      emacspeak < 18
Provides:       auctex
Requires:       emacs emacs-el
BuildRequires:  emacs tetex tetex-dvips texinfo

%description 
AUCTeX is an extensible package that supports writing and formatting
TeX files for most variants of Emacs.

AUCTeX supports many different TeX macro packages, including AMS-TeX,
LaTeX, Texinfo and basic support for ConTeXt.  Documentation can be
found under /usr/share/doc, e.g. the reference card (tex-ref.pdf) and
the FAQ.  The AUCTeX manual is available in Emacs info (C-h i d m
AUCTeX RET).  On the AUCTeX home page, we provide manuals in various
formats.

This package is for GNU Emacs.

%prep
%setup -q -n auctex-%{version}

%build
# --with-texmf-dir overrides local docstrip configurations.
%configure "--with-emacs" '--with-texmf-dir=%{_datadir}/texmf'
make
pushd doc
make auctex.info tex-ref.pdf
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_datadir}/emacs/site-lisp,%{_infodir}}
%makeinstall install-contrib install-info

mkdir -p %{buildroot}%{startupdir}
echo "; Autoactivation of AUCTeX" > %{buildroot}%{startupfile}
echo "; Created for %{name}-%{version}-%{release}.noarch.rpm" >> \
  %{buildroot}%{startupfile}
echo "(require 'tex-site)" >> %{buildroot}%{startupfile}

rm -rf %{buildroot}%{_var}
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/auctex/style/.nosearch

# Remove dir file that has been created by the makeinfo calls because this
# file will not been included in the rpm distribution (make RPM 4.1+ happy)
# rm -f '%{buildroot}%{_infodir}/dir'

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/auctex.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/auctex.info %{_infodir}/dir 2>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc RELEASE COPYING INSTALL README TODO FAQ CHANGES
%doc doc/tex-ref.pdf
%doc %{_infodir}/*.info*
%exclude %{_infodir}/dir
%{_datadir}/emacs/site-lisp/auctex
%{startupfile}
%{_datadir}/emacs/site-lisp/tex-site.el

%changelog
* Tue Aug  9 2005 Ed Hill <ed@eh3.com> - 11.55-4
- call it BuildArch

* Tue Aug  9 2005 Ed Hill <ed@eh3.com> - 11.55-3
- add Requires and BuildRequires

* Mon Aug  8 2005 Ed Hill <ed@eh3.com> - 11.55-2
- modify for acceptance into Fedora Extras

* Fri Jan 21 2005 David Kastrup <dak@gnu.org>
- Conflict with outdated Emacspeak versions

* Fri Jan 14 2005 David Kastrup <dak@gnu.org>
- Install and remove auctex.info, not auctex

* Thu Aug 19 2004 David Kastrup <dak@gnu.org>
- Change tex-site.el to overwriting config file mode.  New naming scheme.

* Mon Aug 16 2004 David Kastrup <dak@gnu.org>
- Attempt a bit of SuSEism.  Might work if we are lucky.

* Sat Dec  7 2002 David Kastrup <David.Kastrup@t-online.de>
- Change addresses to fit move to Savannah.

* Mon Apr 15 2002 Jan-Ake Larsson <jalar@imf.au.dk>
- Adjusted TeX-macro-global and put autoactivation in preinstall
  script so that it can be chosen at install time.

* Tue Feb 19 2002 Jan-Ake Larsson <jalar@imf.au.dk>
- Added site-start.el support

* Sat Feb 16 2002 Jan-Ake Larsson <jalar@imf.au.dk>
- Prerelease 11.11
